Bug 218523 - Include RPM-GPG-KEY on sat install.
Include RPM-GPG-KEY on sat install.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
500
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
wes hayutin
:
Depends On:
Blocks: rhn-sat-on-rhel5
  Show dependency treegraph
 
Reported: 2006-12-05 15:36 EST by Ken Ganong
Modified: 2009-09-10 14:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:20:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Ganong 2006-12-05 15:36:20 EST
We need to include putting the /usr/share/rhn/RPM-GPG-KEY file on the filesystem
in the install.

In the past, this was provided by up2date, but on RHEL5, there is yum instead of
up2date.
On a RHEL4 satellite:
rpm -qf /usr/share/rhn/RPM-GPG-KEY
up2date-4.4.5-1
up2date-4.4.69-25
Comment 1 Ken Ganong 2006-12-13 11:46:06 EST
James Bowes enlightened me that RPM-GPG-KEY is now supplied by the
redhat-release package, but in a different place.

Therefore, during install, we will check /usr/share/rhn/RPM-GPG-KEY for the
file. If it does not exist, default to the new location
/etc/pki/rpm-gpg/RPM-GPG-KEY.

It would be better to do:
if (RHEL 4)
  use old place
else if (RHEL 5)
  use new place
Comment 2 Ken Ganong 2006-12-15 15:48:03 EST
Reassigning a bunch of my bugs to mmccune so they aren't forgotten.
Comment 3 Mike McCune 2007-03-23 16:37:24 EDT
on-qa
Comment 4 wes hayutin 2007-03-30 14:08:47 EDT
verified..
/usr/share/rhn
[root@fjs-0-10 rhn]# cat /etc/pki/rpm-gpg/RPM-GPG-KEY-
cat: /etc/pki/rpm-gpg/RPM-GPG-KEY-: No such file or directory
[root@fjs-0-10 rhn]# cat /etc/pki/rpm-gpg/RPM-GPG-KEY-
RPM-GPG-KEY-fedora            RPM-GPG-KEY-redhat-beta
RPM-GPG-KEY-fedora-test       RPM-GPG-KEY-redhat-former
RPM-GPG-KEY-redhat-auxiliary  RPM-GPG-KEY-redhat-release
[root@fjs-0-10 rhn]# cat /etc/pki/rpm-gpg/RPM-GPG-KEY-
[root@fjs-0-10 rhn]# 
Comment 5 Preethi Thomas 2009-08-14 08:13:05 EDT
Release pending
[root@sun-x4200-01 ~]# cat /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-
RPM-GPG-KEY-redhat-auxiliary  RPM-GPG-KEY-redhat-release
RPM-GPG-KEY-redhat-beta       RPM-GPG-KEY-redhat-rhx
RPM-GPG-KEY-redhat-former
Comment 6 Brandon Perkins 2009-09-10 14:20:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.